﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.movearm_sim2.y2008.m02, version=0.0.0.0, culture=neutral, publickeytoken=f0a48c9f6e020610")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"movearm_sim2.y2008.m02, version=0.0.0.0, culture=neutral, publickeytoken=f0a48c9f6e020610")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformMoveArm_Sim2
{

    public class Transforms: TransformBase
    {

        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_ArmMoverState_TO_Robotics_MoveArm_Sim2_ArmMover_ArmMoverState(object transformFrom)
        {
            Robotics.MoveArm_Sim2.ArmMover.ArmMoverState target = new Robotics.MoveArm_Sim2.ArmMover.ArmMoverState();
            Robotics.MoveArm_Sim2.ArmMover.Proxy.ArmMoverState from = transformFrom as Robotics.MoveArm_Sim2.ArmMover.Proxy.ArmMoverState;
            target.Base0 = from.Base0;
            target.PollInterval = from.PollInterval;
            target.Shoulder1 = from.Shoulder1;
            target.Elbow2 = from.Elbow2;
            target.Wrist3 = from.Wrist3;
            target.Gripper5 = from.Gripper5;
            target.WristRotate4 = from.WristRotate4;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_ArmMoverState_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_ArmMoverState(object transformFrom)
        {
            Robotics.MoveArm_Sim2.ArmMover.Proxy.ArmMoverState target = new Robotics.MoveArm_Sim2.ArmMover.Proxy.ArmMoverState();
            Robotics.MoveArm_Sim2.ArmMover.ArmMoverState from = transformFrom as Robotics.MoveArm_Sim2.ArmMover.ArmMoverState;
            target.Base0 = from.Base0;
            target.PollInterval = from.PollInterval;
            target.Shoulder1 = from.Shoulder1;
            target.Elbow2 = from.Elbow2;
            target.Wrist3 = from.Wrist3;
            target.Gripper5 = from.Gripper5;
            target.WristRotate4 = from.WristRotate4;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalRequest_TO_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalRequest(object transformFrom)
        {
            Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalRequest target = new Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalRequest();
            Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalRequest from = transformFrom as Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalRequest;
            target.PollInterval = from.PollInterval;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalRequest_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalRequest(object transformFrom)
        {
            Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalRequest target = new Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalRequest();
            Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalRequest from = transformFrom as Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalRequest;
            target.PollInterval = from.PollInterval;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse_TO_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalResponse(object transformFrom)
        {
            Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalResponse target = new Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalResponse();
            return target;
        }


        private static Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalResponse _instance_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse = new Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalResponse();
        public static object Transform_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalResponse_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse(object ignore)
        {
            return _instance_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse;
        }


        public static object Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState_TO_Robotics_MoveArm_Sim2_Diagram_DiagramState(object transformFrom)
        {
            Robotics.MoveArm_Sim2.Diagram.DiagramState target = new Robotics.MoveArm_Sim2.Diagram.DiagramState();
            return target;
        }


        private static Robotics.MoveArm_Sim2.Diagram.Proxy.DiagramState _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState = new Robotics.MoveArm_Sim2.Diagram.Proxy.DiagramState();
        public static object Transform_Robotics_MoveArm_Sim2_Diagram_DiagramState_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState(object ignore)
        {
            return _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState;
        }


        public static object Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest_TO_Robotics_MoveArm_Sim2_Diagram_ActionRequest(object transformFrom)
        {
            Robotics.MoveArm_Sim2.Diagram.ActionRequest target = new Robotics.MoveArm_Sim2.Diagram.ActionRequest();
            return target;
        }


        private static Robotics.MoveArm_Sim2.Diagram.Proxy.ActionRequest _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest = new Robotics.MoveArm_Sim2.Diagram.Proxy.ActionRequest();
        public static object Transform_Robotics_MoveArm_Sim2_Diagram_ActionRequest_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest(object ignore)
        {
            return _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest;
        }


        public static object Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse_TO_Robotics_MoveArm_Sim2_Diagram_ActionResponse(object transformFrom)
        {
            Robotics.MoveArm_Sim2.Diagram.ActionResponse target = new Robotics.MoveArm_Sim2.Diagram.ActionResponse();
            return target;
        }


        private static Robotics.MoveArm_Sim2.Diagram.Proxy.ActionResponse _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse = new Robotics.MoveArm_Sim2.Diagram.Proxy.ActionResponse();
        public static object Transform_Robotics_MoveArm_Sim2_Diagram_ActionResponse_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse(object ignore)
        {
            return _instance_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse;
        }


        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState_TO_Robotics_MoveArm_Sim2_MoveJoint_MoveJointState(object transformFrom)
        {
            Robotics.MoveArm_Sim2.MoveJoint.MoveJointState target = new Robotics.MoveArm_Sim2.MoveJoint.MoveJointState();
            return target;
        }


        private static Robotics.MoveArm_Sim2.MoveJoint.Proxy.MoveJointState _instance_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState = new Robotics.MoveArm_Sim2.MoveJoint.Proxy.MoveJointState();
        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_MoveJointState_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState(object ignore)
        {
            return _instance_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState;
        }


        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsRequest_TO_Robotics_MoveArm_Sim2_MoveJoint_JointParamsRequest(object transformFrom)
        {
            Robotics.MoveArm_Sim2.MoveJoint.JointParamsRequest target = new Robotics.MoveArm_Sim2.MoveJoint.JointParamsRequest();
            Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsRequest from = transformFrom as Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsRequest;
            target.JointName = from.JointName;
            target.Angle = from.Angle;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_JointParamsRequest_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsRequest(object transformFrom)
        {
            Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsRequest target = new Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsRequest();
            Robotics.MoveArm_Sim2.MoveJoint.JointParamsRequest from = transformFrom as Robotics.MoveArm_Sim2.MoveJoint.JointParamsRequest;
            target.JointName = from.JointName;
            target.Angle = from.Angle;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsResponse_TO_Robotics_MoveArm_Sim2_MoveJoint_JointParamsResponse(object transformFrom)
        {
            Robotics.MoveArm_Sim2.MoveJoint.JointParamsResponse target = new Robotics.MoveArm_Sim2.MoveJoint.JointParamsResponse();
            Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsResponse from = transformFrom as Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsResponse;
            target.value = from.value;
            return target;
        }


        public static object Transform_Robotics_MoveArm_Sim2_MoveJoint_JointParamsResponse_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsResponse(object transformFrom)
        {
            Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsResponse target = new Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsResponse();
            Robotics.MoveArm_Sim2.MoveJoint.JointParamsResponse from = transformFrom as Robotics.MoveArm_Sim2.MoveJoint.JointParamsResponse;
            target.value = from.value;
            return target;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.Proxy.ArmMoverState), Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_ArmMoverState_TO_Robotics_MoveArm_Sim2_ArmMover_ArmMoverState);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.ArmMoverState), Transform_Robotics_MoveArm_Sim2_ArmMover_ArmMoverState_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_ArmMoverState);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalRequest), Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalRequest_TO_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalRequest);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalRequest), Transform_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalRequest_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalRequest);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.Proxy.SetPollIntervalResponse), Transform_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse_TO_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalResponse);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.ArmMover.SetPollIntervalResponse), Transform_Robotics_MoveArm_Sim2_ArmMover_SetPollIntervalResponse_TO_Robotics_MoveArm_Sim2_ArmMover_Proxy_SetPollIntervalResponse);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.Diagram.Proxy.DiagramState), Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState_TO_Robotics_MoveArm_Sim2_Diagram_DiagramState);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.Diagram.DiagramState), Transform_Robotics_MoveArm_Sim2_Diagram_DiagramState_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_DiagramState);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.Diagram.Proxy.ActionRequest), Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest_TO_Robotics_MoveArm_Sim2_Diagram_ActionRequest);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.Diagram.ActionRequest), Transform_Robotics_MoveArm_Sim2_Diagram_ActionRequest_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionRequest);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.Diagram.Proxy.ActionResponse), Transform_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse_TO_Robotics_MoveArm_Sim2_Diagram_ActionResponse);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.Diagram.ActionResponse), Transform_Robotics_MoveArm_Sim2_Diagram_ActionResponse_TO_Robotics_MoveArm_Sim2_Diagram_Proxy_ActionResponse);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.Proxy.MoveJointState), Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState_TO_Robotics_MoveArm_Sim2_MoveJoint_MoveJointState);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.MoveJointState), Transform_Robotics_MoveArm_Sim2_MoveJoint_MoveJointState_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_MoveJointState);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsRequest), Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsRequest_TO_Robotics_MoveArm_Sim2_MoveJoint_JointParamsRequest);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.JointParamsRequest), Transform_Robotics_MoveArm_Sim2_MoveJoint_JointParamsRequest_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsRequest);
            AddProxyTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.Proxy.JointParamsResponse), Transform_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsResponse_TO_Robotics_MoveArm_Sim2_MoveJoint_JointParamsResponse);
            AddSourceTransform(typeof(Robotics.MoveArm_Sim2.MoveJoint.JointParamsResponse), Transform_Robotics_MoveArm_Sim2_MoveJoint_JointParamsResponse_TO_Robotics_MoveArm_Sim2_MoveJoint_Proxy_JointParamsResponse);
        }
    }
}

