﻿using System;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.Core.Transforms;

#if NET_CF20
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"cf.movearm_real2.y2008.m02, version=0.0.0.0, culture=neutral, publickeytoken=f0a48c9f6e020610")]
#else
[assembly: ServiceDeclaration(DssServiceDeclaration.Transform, SourceAssemblyKey = @"movearm_real2.y2008.m02, version=0.0.0.0, culture=neutral, publickeytoken=f0a48c9f6e020610")]
#endif
#if !URT_MINCLR
[assembly: System.Security.SecurityTransparent]
[assembly: System.Security.AllowPartiallyTrustedCallers]
#endif

namespace Dss.Transforms.TransformMovearm_real2
{

    public class Transforms: TransformBase
    {

        public static object Transform_Robotics_Movearm_real2_ArmMover_Proxy_ArmMoverState_TO_Robotics_Movearm_real2_ArmMover_ArmMoverState(object transformFrom)
        {
            Robotics.Movearm_real2.ArmMover.ArmMoverState target = new Robotics.Movearm_real2.ArmMover.ArmMoverState();
            Robotics.Movearm_real2.ArmMover.Proxy.ArmMoverState from = transformFrom as Robotics.Movearm_real2.ArmMover.Proxy.ArmMoverState;
            target.X = from.X;
            target.Y = from.Y;
            target.Z = from.Z;
            target.Angle = from.Angle;
            target.PollInterval = from.PollInterval;
            target.SinA = from.SinA;
            target.CosA = from.CosA;
            target.Base0 = from.Base0;
            target.Shoulder1 = from.Shoulder1;
            target.Elbow2 = from.Elbow2;
            target.Wrist3 = from.Wrist3;
            target.WristRotate4 = from.WristRotate4;
            target.Gripper5 = from.Gripper5;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_ArmMover_ArmMoverState_TO_Robotics_Movearm_real2_ArmMover_Proxy_ArmMoverState(object transformFrom)
        {
            Robotics.Movearm_real2.ArmMover.Proxy.ArmMoverState target = new Robotics.Movearm_real2.ArmMover.Proxy.ArmMoverState();
            Robotics.Movearm_real2.ArmMover.ArmMoverState from = transformFrom as Robotics.Movearm_real2.ArmMover.ArmMoverState;
            target.X = from.X;
            target.Y = from.Y;
            target.Z = from.Z;
            target.Angle = from.Angle;
            target.PollInterval = from.PollInterval;
            target.SinA = from.SinA;
            target.CosA = from.CosA;
            target.Base0 = from.Base0;
            target.Shoulder1 = from.Shoulder1;
            target.Elbow2 = from.Elbow2;
            target.Wrist3 = from.Wrist3;
            target.WristRotate4 = from.WristRotate4;
            target.Gripper5 = from.Gripper5;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalRequest_TO_Robotics_Movearm_real2_ArmMover_SetPollIntervalRequest(object transformFrom)
        {
            Robotics.Movearm_real2.ArmMover.SetPollIntervalRequest target = new Robotics.Movearm_real2.ArmMover.SetPollIntervalRequest();
            Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalRequest from = transformFrom as Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalRequest;
            target.PollInterval = from.PollInterval;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_ArmMover_SetPollIntervalRequest_TO_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalRequest(object transformFrom)
        {
            Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalRequest target = new Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalRequest();
            Robotics.Movearm_real2.ArmMover.SetPollIntervalRequest from = transformFrom as Robotics.Movearm_real2.ArmMover.SetPollIntervalRequest;
            target.PollInterval = from.PollInterval;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse_TO_Robotics_Movearm_real2_ArmMover_SetPollIntervalResponse(object transformFrom)
        {
            Robotics.Movearm_real2.ArmMover.SetPollIntervalResponse target = new Robotics.Movearm_real2.ArmMover.SetPollIntervalResponse();
            return target;
        }


        private static Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalResponse _instance_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse = new Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalResponse();
        public static object Transform_Robotics_Movearm_real2_ArmMover_SetPollIntervalResponse_TO_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse(object ignore)
        {
            return _instance_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse;
        }


        public static object Transform_Robotics_Movearm_real2_Diagram_Proxy_DiagramState_TO_Robotics_Movearm_real2_Diagram_DiagramState(object transformFrom)
        {
            Robotics.Movearm_real2.Diagram.DiagramState target = new Robotics.Movearm_real2.Diagram.DiagramState();
            Robotics.Movearm_real2.Diagram.Proxy.DiagramState from = transformFrom as Robotics.Movearm_real2.Diagram.Proxy.DiagramState;
            target.X = from.X;
            target.Y = from.Y;
            target.Z = from.Z;
            target.Angle = from.Angle;
            target.Rotation = from.Rotation;
            target.Grip = from.Grip;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_Diagram_DiagramState_TO_Robotics_Movearm_real2_Diagram_Proxy_DiagramState(object transformFrom)
        {
            Robotics.Movearm_real2.Diagram.Proxy.DiagramState target = new Robotics.Movearm_real2.Diagram.Proxy.DiagramState();
            Robotics.Movearm_real2.Diagram.DiagramState from = transformFrom as Robotics.Movearm_real2.Diagram.DiagramState;
            target.X = from.X;
            target.Y = from.Y;
            target.Z = from.Z;
            target.Angle = from.Angle;
            target.Rotation = from.Rotation;
            target.Grip = from.Grip;
            return target;
        }


        public static object Transform_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest_TO_Robotics_Movearm_real2_Diagram_ActionRequest(object transformFrom)
        {
            Robotics.Movearm_real2.Diagram.ActionRequest target = new Robotics.Movearm_real2.Diagram.ActionRequest();
            return target;
        }


        private static Robotics.Movearm_real2.Diagram.Proxy.ActionRequest _instance_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest = new Robotics.Movearm_real2.Diagram.Proxy.ActionRequest();
        public static object Transform_Robotics_Movearm_real2_Diagram_ActionRequest_TO_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest(object ignore)
        {
            return _instance_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest;
        }


        public static object Transform_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse_TO_Robotics_Movearm_real2_Diagram_ActionResponse(object transformFrom)
        {
            Robotics.Movearm_real2.Diagram.ActionResponse target = new Robotics.Movearm_real2.Diagram.ActionResponse();
            return target;
        }


        private static Robotics.Movearm_real2.Diagram.Proxy.ActionResponse _instance_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse = new Robotics.Movearm_real2.Diagram.Proxy.ActionResponse();
        public static object Transform_Robotics_Movearm_real2_Diagram_ActionResponse_TO_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse(object ignore)
        {
            return _instance_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse;
        }

        static Transforms()
        {
            Register();
        }
        public static void Register()
        {
            AddProxyTransform(typeof(Robotics.Movearm_real2.ArmMover.Proxy.ArmMoverState), Transform_Robotics_Movearm_real2_ArmMover_Proxy_ArmMoverState_TO_Robotics_Movearm_real2_ArmMover_ArmMoverState);
            AddSourceTransform(typeof(Robotics.Movearm_real2.ArmMover.ArmMoverState), Transform_Robotics_Movearm_real2_ArmMover_ArmMoverState_TO_Robotics_Movearm_real2_ArmMover_Proxy_ArmMoverState);
            AddProxyTransform(typeof(Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalRequest), Transform_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalRequest_TO_Robotics_Movearm_real2_ArmMover_SetPollIntervalRequest);
            AddSourceTransform(typeof(Robotics.Movearm_real2.ArmMover.SetPollIntervalRequest), Transform_Robotics_Movearm_real2_ArmMover_SetPollIntervalRequest_TO_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalRequest);
            AddProxyTransform(typeof(Robotics.Movearm_real2.ArmMover.Proxy.SetPollIntervalResponse), Transform_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse_TO_Robotics_Movearm_real2_ArmMover_SetPollIntervalResponse);
            AddSourceTransform(typeof(Robotics.Movearm_real2.ArmMover.SetPollIntervalResponse), Transform_Robotics_Movearm_real2_ArmMover_SetPollIntervalResponse_TO_Robotics_Movearm_real2_ArmMover_Proxy_SetPollIntervalResponse);
            AddProxyTransform(typeof(Robotics.Movearm_real2.Diagram.Proxy.DiagramState), Transform_Robotics_Movearm_real2_Diagram_Proxy_DiagramState_TO_Robotics_Movearm_real2_Diagram_DiagramState);
            AddSourceTransform(typeof(Robotics.Movearm_real2.Diagram.DiagramState), Transform_Robotics_Movearm_real2_Diagram_DiagramState_TO_Robotics_Movearm_real2_Diagram_Proxy_DiagramState);
            AddProxyTransform(typeof(Robotics.Movearm_real2.Diagram.Proxy.ActionRequest), Transform_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest_TO_Robotics_Movearm_real2_Diagram_ActionRequest);
            AddSourceTransform(typeof(Robotics.Movearm_real2.Diagram.ActionRequest), Transform_Robotics_Movearm_real2_Diagram_ActionRequest_TO_Robotics_Movearm_real2_Diagram_Proxy_ActionRequest);
            AddProxyTransform(typeof(Robotics.Movearm_real2.Diagram.Proxy.ActionResponse), Transform_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse_TO_Robotics_Movearm_real2_Diagram_ActionResponse);
            AddSourceTransform(typeof(Robotics.Movearm_real2.Diagram.ActionResponse), Transform_Robotics_Movearm_real2_Diagram_ActionResponse_TO_Robotics_Movearm_real2_Diagram_Proxy_ActionResponse);
        }
    }
}

