<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:soap="http://www.w3.org/2003/05/soap-envelope"
    xmlns:dssp="http://schemas.microsoft.com/xw/2004/10/dssp.html"
  >
  <xsl:template match="/soap:Fault">
    <h1>Processing Error</h1>
    <h2>A Fault occurred in processing the Submit request</h2>
    <form>
    <table>
      <tr>
        <th>Code:</th>
        <td>
          <xsl:value-of select="soap:Code/soap:Value"/>
        </td>
      </tr>
      <tr>
        <th>Subcode:</th>
        <td>
          <xsl:value-of select="soap:Code/soap:Subcode/soap:Value"/>
        </td>
      </tr>
      <tr>
        <th>Reason:</th>
        <td>
          <xsl:value-of select="soap:Reason/soap:Text"/>
        </td>
      </tr>
      <tr>
        <td>
          <input type="button" value="Try Again" onclick="javascript:location.reload(true);" />
        </td>
        <td>
          <input type="button" value="Service Directory" onclick="javascript:location = '/directory';" />
        </td>
      </tr>
    </table>
  </form>
  </xsl:template>

</xsl:stylesheet>